import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
var PreferenceService = /** @class */ (function () {
    function PreferenceService(http) {
        this.http = http;
        this.api = 'http://service.alertmehub.com/api';
    }
    PreferenceService.prototype.setUrl = function (url) {
        this.api = url;
    };
    PreferenceService.prototype.getCustomer = function (clientId, token) {
        return this.http.get(this.api + "/customers/" + clientId + "/" + token);
    };
    PreferenceService.prototype.updateCustomer = function (customer) {
        return this.http.put(this.api + "/customers/" + customer.clientId + "/" + customer.token, customer);
    };
    PreferenceService.prototype.saveAlertPreference = function (pref, token) {
        return this.http.put(this.api + "/prefs/" + pref.clientId + "/" + token, pref);
    };
    PreferenceService.decorators = [
        { type: Injectable },
    ];
    /** @nocollapse */
    PreferenceService.ctorParameters = function () { return [
        { type: HttpClient, },
    ]; };
    return PreferenceService;
}());
export { PreferenceService };
//# sourceMappingURL=preference.service.js.map